<template>
  <div>
    <mt-disponibilite-puce :type-disponibilite="disponibiliteEmploye.typeDisponibilite"></mt-disponibilite-puce>
    <img
      v-if="disponibiliteEmploye.typeDisponibilite !== undefined && disponibiliteEmploye.commentaire !== null"
      src="/notes.png"
      class="icone"
      alt="commentaire"
    />
  </div>
</template>

<script>
import MtDisponibilitePuce from '~/components/disponibilite/disponibilite-puce';

export default {
  name: 'MtDisponibiliteEmploye',
  components: { MtDisponibilitePuce },
  props: {
    disponibiliteEmploye: {
      type: Object,
      default: () => ({}),
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

.icone {
  height: 0.95rem;
  opacity: 0.6;
  color: $brown-grey;
}
.mt-disponibilite-puce {
  margin: auto 0 auto 0.555em;
}
.vuecal__cell--out-of-scope {
  .mt-cell-date .mt-disponibilite-puce {
    opacity: 0.5;
  }
}
</style>
